For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTAdd a Collaborator to a Project
      • POSTBatch create Collaborators and PendingCollaborators within a Project
      • DELBatch delete Collaborators and PendingCollaborators for a Project
      • POSTCreate a Project
      • DELDelete Project by ID
      • GETGet current User(s) membership for a Project
      • GETGet Project by ID
      • GETGet Project Collaborators
      • GETGet Projects by Team
      • PUTUpdate a Project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceProjects

Get Projects by Team

GET
https://api.frame.io/v2/teams/:team_id/projects
GET
/v2/teams/:team_id/projects
1import requests
2
3url = "https://api.frame.io/v2/teams/team_id/projects"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1[
2 {
3 "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
4 "name": "My Project",
5 "owner_id": "dddddddd-dddd-dddd-dddd-dddddddddddd",
6 "private": false,
7 "project_preferences": {},
8 "root_asset_id": "cccccccc-cccc-cccc-cccc-cccccccccccc",
9 "team_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb"
10 }
11]
Fetch a paginated list of all Projects belonging to a Team
Was this page helpful?
Previous

Update a Project

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

team_idstringRequiredformat: "uuid"

Query parameters

filter[archived]stringOptional

Add this query param with the value all to return both archived and non-archived projects

Response headers

linkstring
Pagination links
page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages

Response

Paginated projects success response
archive_statusenum
Archival status for this Project
Allowed values:
archived_atstringformat: "date-time"
When a Project was archived
archived_file_countintegerDefaults to 0
archived_storageintegerDefaults to 0
collaborator_countintegerDefaults to 0
deleted_atstringformat: "date-time"
If deleted, when this Project was deleted
descriptionstring
file_countintegerDefaults to 0
folder_countintegerDefaults to 0
idstringformat: "uuid"
ignore_archivebooleanDefaults to false
inserted_atstringformat: "date-time"
When was this Project created
invite_urlstring
namestring
Name of this Project
owner_idstringformat: "uuid"
privatebooleanDefaults to false
project_preferencesobject
read_onlybooleanDefaults to false
root_assetobject

Accepts arbitrary key/value pairs for storing information on an asset

root_asset_idstringformat: "uuid"
sharedbooleanDefaults to false
storageintegerDefaults to 0
teamobject
team_idstringformat: "uuid"
updated_atstringformat: "date-time"
user_permissionsobject
user_preferencesobject
watermarkobject

Errors

401
Unauthorized Error
404
Not Found Error